Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


Old Camera Raw 6.5 update for Old PSE9

Community Beginner ,
May 19, 2021 May 19, 2021

Copy link to clipboard

Copied

Thanks to the AMD SCSI update in a Windows update pushed by Microsoft in early May (2021), I have had to rebuild my computer. This has included re-installing my old PSE 9. The version of PSE 9 that I have on CD then requires updates to install 9.0.3 and ACR 6.5. ACR 6.5 is newest version of ACR that will work with PSE 9, and I need it to read and process the NEF files from my Nikon D7000 (yes, I know - more old stuff). Even though Adobe no longer supports PSE 9 and does not seem to have either update available, I managed to find a 9.0.3 updater and it is successfully installed. I have not met with the same success for ACR 6.5. Several approaches that appear here in the Adobe Support Community have lead me to pages that no longer exist. This isn't too surprising, I suppose, given the age of ACR 6.5. Is there still a functioning ACR 6.5 updater out there, or do I have to give up and get a newer version of PSE (and then hope my catalogs convert)? I am not interested in converting 40,000 NEF files to DNG.

TOPICS
Download and install, Problem or error

Views

313

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
May 19, 2021 May 19, 2021

Copy link to clipboard

Copied

Hi John,

 

You'll need to go to Adobe's FTP server for the ACR 6.5 updater for Photoshop Elements 9.

 

I think nearly all modern web browsers don't support FTP connections anymore, so I use a dedicated FTP client like FileZilla instead.

 

Connect to ftp.adobe.com (you don't a username or password) and ignore any messages from FileZilla about insecure connections. You then need to find the updater by browsing the FTP site to get to this location:

 

ftp://ftp.adobe.com/pub/adobe/photoshop/cameraraw/win/6.x/Elements9CameraRaw-6.5-mul-AdobeUpdate.zip

 

Hope that helps, but feel free to reach out if you get lost 🙂

 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
May 19, 2021 May 19, 2021

Copy link to clipboard

Copied

Thank you. I was able to access the ftp site and download the zip file. However, when I attempt to launch the patch installer through 7-Zip, it starts to execute and then gives me an Error loading Updater workflow. Extracting the file folders individually doesn't seem to make any difference.   ???

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
May 19, 2021 May 19, 2021

Copy link to clipboard

Copied

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
May 19, 2021 May 19, 2021

Copy link to clipboard

Copied

Thanks @Jeff Arola!

 

I didn't realise you could get to the FTP server files via the download.adobe.com server... much easier 🙂

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
May 19, 2021 May 19, 2021

Copy link to clipboard

Copied

Chrome doesn't seem to like your link. When I click on it, there's a quick "flash" and the new tab immediately closes.

 

I was able to download the zip file with FileZilla, but the patch installer doesn't want to run. It starts (briefly) and then gives me an "Error loading Updater workflow." I have downloaded, extracted and executed things in zip files before, and I haven't run into this.

 

I'm not entirely unfamiliar with ftp and FileZilla, so that part went OK.

 

Thank you both for all your help. That's what I get for trying to run old software.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
May 19, 2021 May 19, 2021

Copy link to clipboard

Copied

Your link worked fine in Edge. I'm still getting the same result when I attempt to execute the patch installer, though.

Any comments you'd like to make regarding my stupidity are welcome! 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
May 19, 2021 May 19, 2021

Copy link to clipboard

Copied

What version of windows are you using?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
May 19, 2021 May 19, 2021

Copy link to clipboard

Copied

Windows system information:

 

Edition Windows 10 Home
Version 20H2
Installed on ‎2021-‎05-‎05
OS build 19042.985
Experience Windows Feature Experience Pack 120.2212.2020.0

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
May 21, 2021 May 21, 2021

Copy link to clipboard

Copied

I have gotten the zip file to work.

Oddly, double-clicking on the zip folder and then telling 7-Zip to extract all does not work. The resulting executable starts but fails during execution as described. However, right-clicking on the zip folder and then choosing "Extract All" from the pop-up menu (which still uses 7-Zip) does give me an executable that successfully installs the 6.5 patch.

Thank you for your assistance.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
May 21, 2021 May 21, 2021

Copy link to clipboard

Copied

Great news John 🙂

 

Attempting to run old versions of software on modern operating systems can be a challenge (although rewarding when it works!). The only version of Photoshop Elements that I haven't been able to run on my Windows 10 laptop so far is version 1.0. Fortunately, I have a 16 year-old Dell desktop running Windows XP which of course it runs on just fine - along with Premiere Elements 1.0 too 🙂

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
May 21, 2021 May 21, 2021

Copy link to clipboard

Copied

LATEST

Yes glad you got it working .

 

Well done.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines